TYPIST(1)

NAME
Typist - a typing tutor with lessons for different keyboards and languages

SYNOPSIS
gtypist [OPTION]... [SCRIPT]...

DESCRIPTION
GNU Typist is a typing tutor with several lessons for different keyboards and languages. New lessons can be written by the user easily.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

-b, --personal-best
    track personal best typing speeds (default=off)

-e, --max-error=FLOAT
    default maximum error percentage; valid values are between 0.0 and 100.0 (default=`3.0')

-n, --notimer
    turn off WPM timer in drills (default=off)

-t, --term-cursor
    use the terminal's hardware cursor (default=off)

-f, --curs-flash=P
    cursor flash period P*.1 sec; valid values are between 0 and 512; this is ignored if -t is specified (default=`10')

-c, --colours=F,B
    set (F)orground and (B)ackground colours, where available (default=`7,0')

-s, --silent
    don't beep on errors (default=off)

-q, --quiet
    same as --silent (default=off)

-l, --start-label=LABEL
    start the lesson at the given label

-w, --word-processor
    try to mimic word processors (default=off)

-k, --no-skip
    forbid the user to skip exercises (default=off)

-i, --show-errors
    highlight errors with reverse video (default=off)

-a, --sync-ahead
    try to sync ahead (i.e. h_s if you type hs) (default=on)

-S, --always-sure
    do not ask confirmation questions (default=off)

--banner-colors=F,B,P,V
    set top banner colours: (F)oreground, (B)ackground, (P)ackage and (V)ersion (default=`6,0,5,1')

--scoring=MODE
    set scoring mode; valid values are "wpm" (words per minute) and "cpm" (characters per minute) (possible values="wpm", "cpm")

--no-welcome-screen
    don't show beginner tutorial message at start-up (default=off)

If not supplied, script-file defaults to the 'gtypist.typ' that came with this software. If you specify a script, the path $GTYPIST_PATH is searched for script files.

EXAMPLES

  To run the default lesson in english 'gtypist.typ':

    gtypist

  To run the lesson in spanish:

    gtypist esp.typ

  To instruct gtypist to look for lesson 'bar.typ' in a non standard directory:

    GTYPIST_PATH="/home/foo" gtypist bar.typ

To run the lesson in the file '/tmp/test.typ', starting at label 'TEST1', using the terminal's cursor, and run silently:

    gtypist -t -q -l TEST1 /temp/test.typ

REPORTING BUGS
Report bugs to <bug-gtypist@gnu.org>.

COPYRIGHT
Copyright © 2021, 2022, 2023, 2024, 2025 Felix Natter, Mihai G??tejescu Created by Simon Baldwin License GPLv3+: GNU GPL version 3 or later <https://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for Typist is maintained as a Texinfo manual. If the info and Typist programs are properly installed at your site, the command

    info Typist

should give you access to the complete manual.